curl --request GET \
--url https://api.gcore.com/iam/admin/sellers \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/iam/admin/sellers"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/iam/admin/sellers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"email": "jsmith@example.com",
"full_name": "<string>",
"reseller_name": "<string>",
"company": "<string>",
"date_joined": "<string>",
"activated": true,
"deleted": true,
"phone": "<string>"
}
]Get a list of sellers
Get a list of sellers.
Pass a value for the limit parameter in your request if you want retrieve a paginated result.
Otherwise API returns a list with all users without pagination.
You can combine parameters for pagination, filtering and ordering. All parameters are independent.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
The maximum number of items.
Offset relative to the beginning of list.
The parameter using for sorting data.
Default sort order is ascending. Put - before value for descending sort order: -id.
id- sort by seller's ID.email- sort by seller's email.full_name- sort by seller's full name.date_joined- sort by seller's registration date.activated- sort by activated field.deleted- sort by deleted field.
Use comma separated string for multiple-field sorting.
"activated,-date_joined"
Filter by id.
1
Filter by id list.
Use comma separated string for multiple values.
"1,2,3"
Filter by part of ID.
22
Filter byemail address.
Filter by full name.
Filter by status of activation:
true- activated;false- non-activated.
true, false Filter by status of deletion:
true— only deleted;false— only non-deleted clients;- other value — return all.
true, false Filter by reseller's name.
Response
OK.
- object[]
- object
Seller's ID.
Seller's email address.
150Seller's full name.
255Seller's reseller's name.
Seller's company.
Registration date.
Show the activation status of seller's account:
true– a seller has clicked on the activation link and has set up a password;false– a seller hasn't clicked on the activation link.
Show the deletion status of seller's account:
true– a seller has been deleted;false– a seller is active.
Seller's phone number.
30^[a-z0-9+\-()#, *]*$Was this page helpful?